Skip to main content
`Ctrl`+`K`

# PetscSpaceGetDegree

Return the polynomial degrees that characterize this space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetDegree(PetscSpace sp, PeOp PetscInt *minDegree, PeOp PetscInt *maxDegree)

## Input Parameter

- sp - The `PetscSpace`

## Output Parameters

- minDegree - The degree of the largest polynomial space contained in the space, pass `NULL` if not needed

- maxDegree - The degree of the smallest polynomial space containing the space, pass `NULL` if not needed

## See Also

`PetscSpace`, `PetscSpaceSetDegree()`, `PetscSpaceGetDimension()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages